import mts

def maptoolify_nodes(schematic):
    node_map = {
        b'default:stone': b'maptools:stone',
        b'default:stonebrick': b'maptools:stonebrick',
        b'default:tree': b'maptools:tree',
        b'default:jungletree': b'maptools:jungletree',
        b'default:cactus': b'maptools:cactus',
        b'default:papyrus': b'maptools:papyrus',
        b'default:dirt': b'maptools:dirt',
        b'default:wood': b'maptools:wood',
        b'default:junglewood': b'maptools:junglewood',
        b'default:glass': b'maptools:glass',
        b'default:leaves': b'maptools:leaves',
        b'default:sand': b'maptools:sand',
        b'default:gravel': b'maptools:gravel',
        b'default:clay': b'maptools:clay',
        b'default:desert_sand': b'maptools:desert_sand',
        b'default:sandstone': b'maptools:sandstone',
        b'default:sandstonebrick': b'maptools:sandstone_brick',
        b'default:desert_stone': b'maptools:desert_stone',
        b'default:desert_cobble': b'maptools:desert_cobble',
        b'default:desert_stonebrick': b'maptools:desert_stonebrick',
        b'default:dirt_with_grass': b'maptools:grass',
        # b'default:fullgrass': b'maptools:fullgrass', # maptools only?
        b'default:cobble': b'maptools:cobble',
        b'default:mossycobble': b'maptools:mossycobble',
        b'default:brick': b'maptools:brick',
        b'default:coalblock': b'maptools:coalblock',
        b'default:steelblock': b'maptools:steelblock',
        b'default:goldblock': b'maptools:goldblock',
        b'default:copperblock': b'maptools:copperblock',
        b'default:bronzeblock': b'maptools:bronzeblock',
        b'default:diamondblock': b'maptools:diamondblock',
        b'farming:soil_wet': b'maptools:soil_wet',
        b'farming:desert_sand_soil_wet': b'maptools:desert_sand_soil_wet',
    }

    for i, name in enumerate(schematic.name_id_mapping):
        if name in node_map:
            schematic.name_id_mapping[i] = node_map[name]


if __name__ == "__main__":
    import sys

    schem = mts.read_schematic_from_file(sys.argv[1])
    maptoolify_nodes(schem)
    mts.write_schematic_to_file(schem, sys.argv[2])
